Loading...
Searching...
No Matches
CheckCalls Class Reference

`#include <check_call_graphs.h>`

Inheritance diagram for CheckCalls:

## Public Attributes

CallGraphs | calls
std::string | producer = ""

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::IRMutator
| IRMutator ()=default
virtual | ~IRMutator ()=default
virtual Expr | mutate (const Expr &expr)
| This is the main interface for using a mutator.
virtual Stmt | mutate (const Stmt &stmt)
std::pair< std::vector< Expr >, bool > | mutate_with_changes (const std::vector< Expr > &)
std::vector< Expr > | mutate (const std::vector< Expr > &exprs)

## Detailed Description

Definition at line 17 of file check_call_graphs.h.

## Member Data Documentation

## calls

CallGraphs CheckCalls::calls

Definition at line 19 of file check_call_graphs.h.

Referenced by check_call_graphs().

## producer

std::string CheckCalls::producer = ""

Definition at line 20 of file check_call_graphs.h.

The documentation for this class was generated from the following file:

- test/common/check_call_graphs.h